
Installer - Bug #4372

undefined method `fqdn' for Facter:Module (NoMethodError) in hostanme.rb system check

02/18/2014 07:42 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: foreman-installer script   

Target version: 1.4.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It seems like in puppet 3.5 we'll have to use

Facter.fact :fqdn

Related issues:

Related to Foreman - Bug #4626: Facter 2 + DB migrations: undefined method `d... Closed 03/11/2014

Blocks Installer - Tracker #4359: Puppet 3.5.0 support Closed 02/17/2014 02/28/2014

Associated revisions

Revision 7d000cc5 - 02/18/2014 08:37 AM - Dominic Cleal

fixes #4372 - compatibility with Facter 2 API

History

#1 - 02/18/2014 07:44 AM - Marek Hulán

- Blocks Tracker #4359: Puppet 3.5.0 support added

#2 - 02/18/2014 07:46 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

- Assignee changed from Marek Hulán to Dominic Cleal

Seems like fix already exists - https://github.com/theforeman/foreman-installer/pull/104

reassigning to author of fix

#3 - 02/18/2014 09:52 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 7d000cc5566844f5251cf2a85e35a82b4ceeb5d2.

#4 - 02/27/2014 03:55 PM - Dominic Cleal

- Category set to foreman-installer script

- translation missing: en.field_release set to 4

#5 - 02/27/2014 05:24 PM - Dominic Cleal

- translation missing: en.field_release changed from 4 to 7

#6 - 03/11/2014 11:17 AM - Dominic Cleal

- Related to Bug #4626: Facter 2 + DB migrations: undefined method `domain' for Facter:Module added
